import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
var BASE_CLASS = 'sui-AtomTextarea';
var SIZES = {
  SHORT: 'short',
  LONG: 'long'
};

var AtomTextarea = function AtomTextarea(_ref) {
  var onChange = _ref.onChange,
      size = _ref.size,
      value = _ref.value,
      props = _objectWithoutProperties(_ref, ["onChange", "size", "value"]);

  var className = cx(BASE_CLASS, BASE_CLASS + "--" + size);

  var handleChange = function handleChange(ev) {
    var _ev$target = ev.target,
        value = _ev$target.value,
        name = _ev$target.name;
    onChange(ev, {
      value: value,
      name: name
    });
  };

  return React.createElement("textarea", Object.assign({}, props, {
    onChange: handleChange,
    className: className,
    value: value
  }));
};

AtomTextarea.displayName = 'AtomTextarea';
AtomTextarea.defaultProps = {
  size: SIZES.SHORT,
  onChange: function onChange() {}
};
export default AtomTextarea;
export { SIZES as AtomTextareaSizes };